@mattab opened this Issue on December 16th 2014 Owner

The goal of this issue is that when we deprecate plugins and APIs and introduce a forward between the old modules and the new ones (to keep backward compatibility) then these forwards should apply in all cases, and in particular in the ImageGraph plugin.

Currently the graph generates an error: http://demo.piwik.org/index.php?module=API&method=ImageGraph.get&idSite=3&apiModule=UserSettings&apiAction=getBrowser&token_auth=anonymous&graphType=horizontalBar&period=month&date=today&width=500&height=250

message is Invalid API module and/or API action

Proposed steps

  • fix the issue
  • and maybe we can build a generic tool for define those module forwards that can be reused in the future when more deprecation occur?

(out of scope: later we could add an integration test case for it in #6864 )

cc @sgiehl

@mattab commented on December 17th 2014 Owner

Btw it can be seen on the following developer guide where the resolution graphs are used as example http://developer.piwik.org/api-reference/reporting-api-metadata#static-image-graphs

This Issue was closed on December 18th 2014
Powered by GitHub Issue Mirror